Skip to main content
GET
List activities

Authorizations

Authorization
string
header
required

API key from Settings > Developer. Format: alva_sk_...

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Items per page (max 100)

Required range: 1 <= x <= 100
sort
string

Sort by field:direction. Fields: activityDate, createdAt, type. Direction: asc or desc. Example: createdAt:desc

type
enum<string>

Filter by activity type

Available options:
call,
meeting,
email,
note,
task
companyId
string<uuid>

Filter by company ID

contactId
string<uuid>

Filter by contact ID

dealId
string<uuid>

Filter by deal ID

Response

List of activitys

data
object[]
pagination
object
resource
string